VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR:
[legend]

## Public Member Functions

| operator VkSurfaceCapabilitiesKHR const & () const
| operator VkSurfaceCapabilitiesKHR & ()
bool | operator== (SurfaceCapabilitiesKHR const &rhs) const
bool | operator!= (SurfaceCapabilitiesKHR const &rhs) const

## Data Fields

uint32_t | minImageCount
uint32_t | maxImageCount
Extent2D | currentExtent
Extent2D | minImageExtent
Extent2D | maxImageExtent
uint32_t | maxImageArrayLayers
SurfaceTransformFlagsKHR | supportedTransforms
SurfaceTransformFlagBitsKHR | currentTransform
CompositeAlphaFlagsKHR | supportedCompositeAlpha
ImageUsageFlags | supportedUsageFlags

## Detailed Description

Definition at line 29512 of file vulkan.hpp.

## Member Function Documentation

## operator VkSurfaceCapabilitiesKHR &()

VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::operator VkSurfaceCapabilitiesKHR & | ( |  | ) |

inline

Definition at line 29519 of file vulkan.hpp.

{
return *reinterpret_cast<VkSurfaceCapabilitiesKHR*>(this);
}

## operator VkSurfaceCapabilitiesKHR const &()

VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::operator VkSurfaceCapabilitiesKHR const & | ( |  | ) | const

inline

Definition at line 29514 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSurfaceCapabilitiesKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::operator!= | ( | SurfaceCapabilitiesKHR const & | rhs | ) | const

inline

Definition at line 29538 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::operator== | ( | SurfaceCapabilitiesKHR const & | rhs | ) | const

inline

Definition at line 29524 of file vulkan.hpp.

{
return ( minImageCount == rhs.minImageCount )
&& ( maxImageCount == rhs.maxImageCount )
&& ( currentExtent == rhs.currentExtent )
&& ( minImageExtent == rhs.minImageExtent )
&& ( maxImageExtent == rhs.maxImageExtent )
&& ( maxImageArrayLayers == rhs.maxImageArrayLayers )
&& ( supportedTransforms == rhs.supportedTransforms )
&& ( currentTransform == rhs.currentTransform )
&& ( supportedCompositeAlpha == rhs.supportedCompositeAlpha )
&& ( supportedUsageFlags == rhs.supportedUsageFlags );
}

References currentExtent, currentTransform, maxImageArrayLayers, maxImageCount, maxImageExtent, minImageCount, minImageExtent, supportedCompositeAlpha, supportedTransforms, and supportedUsageFlags.

Referenced by operator!=().

## Field Documentation

## currentExtent

Extent2D VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::currentExtent

Definition at line 29545 of file vulkan.hpp.

Referenced by operator==().

## currentTransform

SurfaceTransformFlagBitsKHR VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::currentTransform

Definition at line 29550 of file vulkan.hpp.

Referenced by operator==().

## maxImageArrayLayers

uint32_t VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::maxImageArrayLayers

Definition at line 29548 of file vulkan.hpp.

Referenced by operator==().

## maxImageCount

uint32_t VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::maxImageCount

Definition at line 29544 of file vulkan.hpp.

Referenced by operator==().

## maxImageExtent

Extent2D VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::maxImageExtent

Definition at line 29547 of file vulkan.hpp.

Referenced by operator==().

## minImageCount

uint32_t VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::minImageCount

Definition at line 29543 of file vulkan.hpp.

Referenced by operator==().

## minImageExtent

Extent2D VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::minImageExtent

Definition at line 29546 of file vulkan.hpp.

Referenced by operator==().

## supportedCompositeAlpha

CompositeAlphaFlagsKHR VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::supportedCompositeAlpha

Definition at line 29551 of file vulkan.hpp.

Referenced by operator==().

## supportedTransforms

SurfaceTransformFlagsKHR VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::supportedTransforms

Definition at line 29549 of file vulkan.hpp.

Referenced by operator==().

## supportedUsageFlags

ImageUsageFlags VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::supportedUsageFlags

Definition at line 29552 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkSurfaceCapabilitiesKHR
Definition: vulkan_core.h:4732
VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::minImageCount
uint32_t minImageCount
Definition: vulkan.hpp:29543
VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::supportedTransforms
SurfaceTransformFlagsKHR supportedTransforms
Definition: vulkan.hpp:29549
VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::supportedCompositeAlpha
CompositeAlphaFlagsKHR supportedCompositeAlpha
Definition: vulkan.hpp:29551
VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::minImageExtent
Extent2D minImageExtent
Definition: vulkan.hpp:29546
VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::currentTransform
SurfaceTransformFlagBitsKHR currentTransform
Definition: vulkan.hpp:29550
VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::supportedUsageFlags
ImageUsageFlags supportedUsageFlags
Definition: vulkan.hpp:29552
VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::maxImageExtent
Extent2D maxImageExtent
Definition: vulkan.hpp:29547
VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::maxImageCount
uint32_t maxImageCount
Definition: vulkan.hpp:29544
VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::operator==
bool operator==(SurfaceCapabilitiesKHR const &rhs) const
Definition: vulkan.hpp:29524
VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::maxImageArrayLayers
uint32_t maxImageArrayLayers
Definition: vulkan.hpp:29548
VULKAN_HPP_NAMESPACE::SurfaceCapabilitiesKHR::currentExtent
Extent2D currentExtent
Definition: vulkan.hpp:29545